TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'
const client = new TxAgentKitClient({
token: process.env.TX_AGENT_KIT_TOKEN
})
const response = await client.traceLearn.saveTraceLearnLessonInstanceProgress({
instanceId: process.env.TX_AGENT_KIT_INSTANCE_ID ?? "instanceId",
body: {},
}){
"instanceId": "<string>",
"recordedExposures": 123,
"recordedResponses": 123,
"cursor": {
"index": 1
},
"remediation": {
"explainer": {
"explainer": {
"payloadId": "<string>",
"kind": "video",
"title": "<string>",
"url": "<string>",
"durationMs": 1,
"posterUrl": "<string>",
"captionsUrl": "<string>",
"chapters": [
{
"title": "<string>",
"startSeconds": 1
}
],
"tallUrl": "<string>",
"posterTallUrl": "<string>"
},
"forced": true
},
"verification": {
"needCorrect": 1,
"correctSoFar": 1,
"afterTransferIndex": 1
},
"insertedQuestions": [
{
"afterTransferIndex": 1,
"question": {
"id": "<string>",
"questionVersionId": "<string>",
"subjectId": "<string>",
"skillId": "<string>",
"answerMode": "<string>",
"answerKind": "<string>",
"interactionMode": "<string>",
"prompt": "<string>",
"options": [
"<string>"
],
"answerKey": {},
"explanation": "<string>",
"expectedTimeSeconds": 123,
"passage": "<string>",
"clozeTemplate": "<string>",
"clozeBlanks": [
{
"id": "<string>",
"options": [
"<string>"
]
}
],
"matchingLeftLabel": "<string>",
"matchingRightLabel": "<string>",
"matchingLeftItems": [
"<string>"
],
"matchingRightOptions": [
"<string>"
],
"sequenceChips": [
{
"id": "<string>",
"label": "<string>"
}
],
"stimulus": "<unknown>"
}
}
],
"insertedQuestionCount": 1,
"insertedQuestionCap": 1,
"exhausted": true,
"unresolvedWrong": true
}
}Smart Cub Learning
Save lesson instance progress
PATCH
/
v1
/
learning
/
learn
/
instances
/
{instanceId}
/
progress
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'
const client = new TxAgentKitClient({
token: process.env.TX_AGENT_KIT_TOKEN
})
const response = await client.traceLearn.saveTraceLearnLessonInstanceProgress({
instanceId: process.env.TX_AGENT_KIT_INSTANCE_ID ?? "instanceId",
body: {},
}){
"instanceId": "<string>",
"recordedExposures": 123,
"recordedResponses": 123,
"cursor": {
"index": 1
},
"remediation": {
"explainer": {
"explainer": {
"payloadId": "<string>",
"kind": "video",
"title": "<string>",
"url": "<string>",
"durationMs": 1,
"posterUrl": "<string>",
"captionsUrl": "<string>",
"chapters": [
{
"title": "<string>",
"startSeconds": 1
}
],
"tallUrl": "<string>",
"posterTallUrl": "<string>"
},
"forced": true
},
"verification": {
"needCorrect": 1,
"correctSoFar": 1,
"afterTransferIndex": 1
},
"insertedQuestions": [
{
"afterTransferIndex": 1,
"question": {
"id": "<string>",
"questionVersionId": "<string>",
"subjectId": "<string>",
"skillId": "<string>",
"answerMode": "<string>",
"answerKind": "<string>",
"interactionMode": "<string>",
"prompt": "<string>",
"options": [
"<string>"
],
"answerKey": {},
"explanation": "<string>",
"expectedTimeSeconds": 123,
"passage": "<string>",
"clozeTemplate": "<string>",
"clozeBlanks": [
{
"id": "<string>",
"options": [
"<string>"
]
}
],
"matchingLeftLabel": "<string>",
"matchingRightLabel": "<string>",
"matchingLeftItems": [
"<string>"
],
"matchingRightOptions": [
"<string>"
],
"sequenceChips": [
{
"id": "<string>",
"label": "<string>"
}
],
"stimulus": "<unknown>"
}
}
],
"insertedQuestionCount": 1,
"insertedQuestionCap": 1,
"exhausted": true,
"unresolvedWrong": true
}
}Path Parameters
a Universally Unique Identifier
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Body
application/json
⌘I